import hashlib
import json


def hash_dict(dict) -> str:
    json_str = json.dumps(dict, sort_keys=True, separators=(",", ":"))
    return hashlib.blake2b(json_str.encode(), digest_size=16).hexdigest()
